Retrieves all the companies

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

company
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

is_client

SALES : Indicate if can be used for ordering

boolean
is_supplier

SERVICES : indicate if this company is a supplier

boolean
archived

Archive this company to not have it anymore on the search

boolean
name

string

Required

Max length: 64

notes

Notes/Remark field

string
create_date

Creation date+time

date
sales_territory_id

Territory of the company (Sales+Services).If more than one sales_territory exists, then it must be filled

globally unique identifier
sales_territory_code

Embedded entity "sales_territory" using ERP PK when adding/updating company

string
sales_territory

Embedded entity "sales_territory" using node when adding/updating company

sales_territory
marketing_segment_id

Marketing Segment of the company (Sales (Visit frequency logic) +Services (Planning Jobs To Be Planned) )

globally unique identifier
marketing_segment_code

Embedded entity "marketing_segment" using ERP PK when adding/updating company

string
marketing_segment

Embedded entity "marketing_segment" using node when adding/updating company

marketing_segment
sales_organization_id

Organization on which belongs the company.If more than one sales_organization exists, then it must be filled

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating company

sales_organization
company_sales_status_code

Foreign key of company_sales_status using code. Use "Normal,CreditRisk, BlockedbyCM or OrderBlocked"

string
vat_reg_code

VAT number

string

Max length: 50

is_working_address

Services : If False, you cannot create project/installation on this company.Default=true

boolean
parent_id

Reference to a parent company (in case of Child/Parent) when adding/updating company

globally unique identifier
parent_company_code

Embedded entity "company" for parent (in case of Child/Parent) using ERP PK when adding/updating company

string
parent_company

Embedded entity "company" for parent (in case of Child/Parent) when adding/updating company

company
phone

Phone number of the company

string

Max length: 50

fax

Fax number of the company

string

Max length: 50

url

URL of the company website

string

Max length: 255

email

email

string

Max length: 250

street

Address:Street

string

Max length: 100

street_number

Address:Street Number. If your ERP doesn't have this field, then only use field "street" and disable the street number on Odyssee/Admin/Impl Settings/Global Settings:Hide Street Number

string

Max length: 50

city

Address:City

string

Max length: 50

zip

Address:Zip

string

Max length: 50

db_country_id

Address:Country

globally unique identifier
db_country_code

Address:CountryCode entity using international code when adding/updating company

string
feelist_id

FeeList activated for the company (On Service, Feelist determines the price of the invoicable timesheets)

globally unique identifier
feelist_reference_back_office

Embedded entity "feelist" using ERP PK when adding/updating company

string
feelist

Embedded entity "feelist" using node when adding/updating company

feelist
company_type_id

Company Type

globally unique identifier
company_type_name

Embedded entity "company_type" using ERP PK when adding/updating company

string
company_type

Embedded entity "company_type" using node when adding/updating company

company_type
db_language_id

Language of the company.If empty, will use the default on the system

globally unique identifier
db_language_code

Language code entity using international isocode when adding/updating company

string
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

article_price_label_id

Foreign key of article price label

globally unique identifier
article_price_label_code

Embedded entity "article price label" using ERP PK when adding/updating

string
article_price_label

Embedded entity "article price label" when adding/updating

article_price_label
db_payment_method_id

Embedded entity "db payment methods" using ERP PK when adding/updating company

globally unique identifier
db_payment_method_reference_back_office

Embedded entity "db payment methods" using ERP PK when adding/updating company

string
db_payment_methods

Embedded entity "db payment methods" using ERP PK when adding/updating company

db_payment_methods
company_sector_id

Foreign key to company_sector

globally unique identifier
company_sector_code

Embedded code for the company_sector using ERP PK when adding/updating

string
company_sector

Embedded entity for the company_sector using the key from an external system when adding/updating object

company_sector
is_lead

Indicate that company is not already a customer

boolean
is_subcontractor

For Service, that company is one of your subcontractors

boolean
latitude

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
street2

Additional information on the address not part of the postal address

string
bic_code

bic code

string
specialities

specialities

string
register_number

register_number

string
register_city

register_city

string
bankaccount

Bank account of the company.

string
mobile

Mobile number of the company

string

Max length: 50

service_manager_user_id

ID of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

globally unique identifier
service_manager_user_code

Embedded code of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

string
service_manager_user

Embedded entity of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

user
finance_manager_user_id

ID of the finance manager. Only used inside communication and tags

globally unique identifier
finance_manager_user_code

Embedded code of the finance manager. Only used inside communication and tags

string
finance_manager_user

Embedded entity of the finance manager. Only used inside communication and tags

user
account_manager_user_id

ID of the account manager. Only used inside communication and tags

globally unique identifier
account_manager_user_code

Embedded code of the account manager. Only used inside communication and tags

string
account_manager_user

Embedded entity of the account manager. Only used inside communication and tags

user
company_status_id

Company Status

globally unique identifier
invoice_email_to

Email to send invoice

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric)

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "5a8f7821-ab9d-475d-a8f7-e0536eb20bb7",
  "is_client": true,
  "is_supplier": true,
  "archived": true,
  "name": "sample string 5",
  "notes": "sample string 6",
  "create_date": "2026-11-13T11:25:28.7498769+00:00",
  "sales_territory_id": "49fcfd2a-2b77-4b4e-9cb1-4f4b1c65a404",
  "sales_territory_code": "sample string 9",
  "sales_territory": {
    "id": "4d29dc66-4624-4347-98b0-9f46ae8e9871",
    "code": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "e949a2b9-b4b6-47f0-9dd1-80254ae5d923",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "51c610a5-eb9c-404b-9259-093576102ba0",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "9472a96a-71c9-46e2-a38f-4056496dc08c",
      "db_currency_id": "e909e8ec-c764-4f19-9794-04a70b90c211",
      "db_language_id": "11ab03da-3e6c-4c9c-9c14-b5bcb18cfbea",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-13T11:25:28.7498769+00:00"
    },
    "modified_dateutc": "2026-11-13T11:25:28.7498769+00:00"
  },
  "marketing_segment_id": "63035d75-d1a7-4444-8222-11d4c4764f32",
  "marketing_segment_code": "sample string 11",
  "sales_organization_id": "a49ca85f-1b70-43b0-976c-e73fabb3aaf7",
  "sales_organization_code": "sample string 13",
  "company_sales_status_code": "sample string 14",
  "vat_reg_code": "sample string 15",
  "is_working_address": true,
  "parent_id": "3954fbbb-3441-485f-81d3-fe177f7263cc",
  "parent_company_code": "sample string 18",
  "phone": "sample string 19",
  "fax": "sample string 20",
  "url": "sample string 21",
  "email": "sample string 22",
  "street": "sample string 23",
  "street_number": "sample string 24",
  "city": "sample string 25",
  "zip": "sample string 26",
  "db_country_id": "22d7d639-38c9-49aa-bb52-88d98dc58d91",
  "db_country_code": "sample string 28",
  "feelist_id": "4541d37d-56df-4640-97ae-9234cf266956",
  "feelist_reference_back_office": "sample string 30",
  "feelist": {
    "id": "d04c0d0b-f91a-4a28-b917-46145b4a3c72",
    "name": "sample string 2",
    "description": "sample string 3",
    "is_default": true,
    "default_price": 1.0,
    "sales_organization_id": "28ad63f5-59ed-4b5f-be95-8cd98203bd03",
    "sales_organization_code": "sample string 6",
    "reference_back_office": "sample string 7",
    "modified_dateutc": "2026-11-13T11:25:28.7498769+00:00",
    "db_currency_id": "eda496c9-2f92-49eb-a1a7-6a5c75b05282",
    "db_currency_code": "sample string 10"
  },
  "company_type_id": "ff0c6947-e517-4130-8044-3fe4f8527cfd",
  "company_type_name": "sample string 32",
  "company_type": {
    "id": "549d46dd-653b-483d-8f27-b56fd3b642b4",
    "name": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "a653e9dd-0aa9-4727-a87b-6360b357bf8f",
    "sales_organization_code": "sample string 5"
  },
  "db_language_id": "6f8316b9-8e25-4549-adcc-3f76a51700db",
  "db_language_code": "sample string 34",
  "code": "sample string 35",
  "article_price_label_id": "4abc9dea-1c61-4678-a135-faaf31a6ee6a",
  "article_price_label_code": "sample string 37",
  "db_payment_method_id": "a63f1b6f-91af-4be2-a75d-52c191e886f4",
  "db_payment_method_reference_back_office": "sample string 39",
  "db_payment_methods": {
    "id": "4371c2e5-ba76-45d4-a2aa-b1085c742a12",
    "name": "sample string 2",
    "description": "sample string 3",
    "reference_back_office": "sample string 4",
    "activated": true,
    "modified_dateutc": "2026-11-13T11:25:28.7498769+00:00"
  },
  "company_sector_id": "f346ae9e-8285-4595-91e8-bc55237f2bef",
  "company_sector_code": "sample string 41",
  "is_lead": true,
  "is_subcontractor": true,
  "latitude": 1.0,
  "longitude": 1.0,
  "street2": "sample string 44",
  "bic_code": "sample string 45",
  "specialities": "sample string 46",
  "register_number": "sample string 47",
  "register_city": "sample string 48",
  "bankaccount": "sample string 49",
  "mobile": "sample string 50",
  "service_manager_user_id": "d8cf05cf-9ae6-4042-870f-41d9b2033720",
  "service_manager_user_code": "sample string 52",
  "finance_manager_user_id": "1765539f-d8a0-4278-8e72-0de0cfada97c",
  "finance_manager_user_code": "sample string 54",
  "account_manager_user_id": "03a8a6eb-4359-45ec-a54d-e052589a483a",
  "account_manager_user_code": "sample string 56",
  "company_status_id": "5f24409b-d0c5-45bf-8162-331c9322c27c",
  "invoice_email_to": "sample string 58",
  "modified_dateutc": "2026-11-13T11:25:28.7498769+00:00",
  "id2": 60
}